Issue 9411

Title
Add relate from product to it's moves
Priority
feature
Status
resolved
Nosy list
ced, pokoli, reviewbot, roundup-bot
Assigned to
pokoli
Keywords
review

Created on 2020-06-12.22:29:18 by pokoli, last changed 2 months ago by roundup-bot.

Messages

New changeset 6db7d5e46553 by Sergi Almacellas Abellana in branch 'default':
Add move relate on product
https://hg.tryton.org/tryton-env/rev/6db7d5e46553
New changeset 1f6f7178e184 by Sergi Almacellas Abellana in branch 'default':
Add move relate on product
https://hg.tryton.org/modules/stock/rev/1f6f7178e184
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-07-07.14:03:04
On 2020-07-07 13:42, Sergi Almacellas Abellana wrote:
> > Cédric Krier <cedric.krier@b2ck.com> added the comment:
> >> user will expect to filter by stock location type
> > What is the use case?
> 
> One may be interested on knowing when it's expected to receive quantity from a product (moves from supplier or production).

This information is already there.

> Also I may be interested on knowing from a specific product why it has been wasted (all moves from lost and found).

I think user who will want such information will have better information
from the relate "Locations List/Tree Quantity" as it will display all
the locations and the total.

> To see inventory differences (from or to location == lost and found)

This is displayed with the origin field.

> >> Why is move useful?
> > To provide details
> 
> I do not see it provides any detail that is not available on the list view.

You can open the move and see all the information.

> So if you want to provide the full details maybe better to shown the form view.

It is more complex to replicate all the move field on this model than
providing a Many2One.

> >> If we want to show the move history
> > Why do you want that? What is the use case?
> 
> Searching for inventorying diferencies and waste reasons isclear case of this usage.

I do not understand.

> Also stock transaction history as requested on the discuss topic.

The request from discuss did not provide clear use cases.
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2020-07-07.13:42:17
> Cédric Krier <cedric.krier@b2ck.com> added the comment:
>> user will expect to filter by stock location type
> What is the use case?

One may be interested on knowing when it's expected to receive quantity from a product (moves from supplier or production).

Also I may be interested on knowing from a specific product why it has been wasted (all moves from lost and found).

To see inventory differences (from or to location == lost and found)

>> Why is move useful?
> To provide details

I do not see it provides any detail that is not available on the list view.
So if you want to provide the full details maybe better to shown the form view.

>> If we want to show the move history
> Why do you want that? What is the use case?

Searching for inventorying diferencies and waste reasons isclear case of this usage.
Also stock transaction history as requested on the discuss topic.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-07-07.13:33:14
> user will expect to filter by stock location type

What is the use case?

> Why is move useful?

To provide details

> If we want to show the move history

Why do you want that? What is the use case?
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2020-07-07.13:26:05
Ok, I see your point probably we can merge both relates into one. 

I think the user will expect to filter by stock location type which is not possible with current solution. Maybe just adding the from/to location of the move on the view will do the trick. Not sure if the origin is redundant with the locations but I do not see any issue to keep it. 

Why is move usefull? For me it does not add any valuable information as the quantities are already shown and the product is fixed. 

I do not think we need the state as moves as the query already filters by done and planned dates depending on the state but If we want to show the move history probably we need to remove the default filter of today and sort by default on date descending. 

What do you think?
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-07-07.10:04:01
I'm worry about the proliferation of relate (especially from product).
For me, the proposed relate does not bring real new usable information. The from/to location can be dug from the Move field of the issue9389. It do not think we need more than that.
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2020-07-07.09:48:07
I do not agree, issue9389 is limited to done moves and it only showns the moved quantity. With this relate you can see when is expected to receive new units of a products but also the to/from location of the moves which may be more important once we implement issue9156
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-07-06.23:23:51
I think this feature is no more needed since issue9389.
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2020-06-12.22:29:17
Following https://discuss.tryton.org/t/inventory-stock-reports-general-reports/2866/2?u=pokoli
History
Date User Action Args
2020-08-12 14:33:36roundup-botsetmessages: + msg59715
2020-08-12 14:33:30roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg59714
2020-07-25 19:17:33reviewbotsetmessages: + msg59496
2020-07-23 00:36:51reviewbotsetmessages: + msg59443
2020-07-07 14:03:04cedsetmessages: + msg59041
2020-07-07 13:42:17pokolisetmessages: + msg59037
2020-07-07 13:33:15cedsetmessages: + msg59036
2020-07-07 13:26:05pokolisetmessages: + msg59035
2020-07-07 10:04:02cedsetmessages: + msg59031
2020-07-07 09:48:07pokolisetmessages: + msg59030

Showing 10 items. Show all history (warning: this could be VERY long)